Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.nativewindow
Class DefaultGraphicsDevice

    java.lang.Object
      javax.media.nativewindow.DefaultGraphicsDevice

All Implemented Interfaces:
  Cloneable, AbstractGraphicsDevice

Direct Known Subclasses:
  AWTGraphicsDevice, EGLGraphicsDevice, MacOSXGraphicsDevice, WindowsGraphicsDevice, X11GraphicsDevice

    public class DefaultGraphicsDevice

extends Object
implements Cloneable, AbstractGraphicsDevice

Field Summary
`protected long` | `handle`

Constructor Summary
`DefaultGraphicsDevice(String type)`
`DefaultGraphicsDevice(String type, long handle)`

Method Summary
`Object` | `clone()`
`long` | `getHandle()` Returns the native handle of the underlying native device, if such thing exist.
`String` | `getType()` Returns the type of the underlying subsystem, ie NativeWindowFactory.TYPE_KD, NativeWindowFactory.TYPE_X11, ..
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### handle

    protected long handle

Constructor Detail

### DefaultGraphicsDevice

    public DefaultGraphicsDevice(String type)

### DefaultGraphicsDevice

    public DefaultGraphicsDevice(String type,
                                 long handle)

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### getType

    public String getType()

  Description copied from interface: `AbstractGraphicsDevice`
  Returns the type of the underlying subsystem, ie NativeWindowFactory.TYPE_KD, NativeWindowFactory.TYPE_X11, ..

  Specified by:
    `getType` in interface `AbstractGraphicsDevice`

### getHandle

    public long getHandle()

  Description copied from interface: `AbstractGraphicsDevice`
  Returns the native handle of the underlying native device, if such thing exist.

  Specified by:
    `getHandle` in interface `AbstractGraphicsDevice`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.